gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object A is like a bookmark in a text buffer; it preserves a position in the text.

A GtkTextMark is like a bookmark in a text buffer; it preserves a position in the text. You can convert the mark to an iterator using . Unlike iterators, marks remain valid across buffer mutations, because their behavior is defined when text is inserted or deleted. When text containing a mark is deleted, the mark remains in the position originally occupied by the deleted text. When text is inserted at a mark, a mark with left gravity will be moved to the beginning of the newly-inserted text, and a mark with right gravity will be moved to the end.

Marks optionally have names; these can be convenient to avoid passing the object around.

Marks are typically created using the function.

- Constructor
  2.12.0.0
  Default constructor
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  To be added.
  To be added.
  Public constructor.
  To be added.
- Property
  2.12.0.0
  Gtk.TextBuffer Gets the buffer where this mark is located The buffer where this mark is applied is returned if the mark has been deleted.
- Property
  2.12.0.0
  System.Boolean Whether or not the mark has been removed Returns if the mark has been removed from its buffer.

  Returns if the mark has been removed from its buffer with . Marks can't be used once they are deleted.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("left-gravity")
  System.Boolean Whether or not the mark has left gravity if the mark has left gravity, otherwise. "left" and "right" here refer to logical direction (left is the toward the start of the buffer); in some languages such as Hebrew the logically-leftmost text is not actually on the left when displayed.
- Property
  2.12.0.0
  GLib.Property("name")
  System.String The name of the mark Returns the name of the mark and if it's an anonymous mark
- Property
  2.12.0.0
  System.Boolean The visibility of the mark if the mark is visible (i.e. a cursor is displayed for it)

  The insertion point is normally visible, i.e. you can see it as a vertical bar. Also, the text widget uses a visible mark to indicate where a drop will occur when dragging-and-dropping text. Most other marks are not visible. Marks are not visible by default.